package morrowind;


  /**
   * An XmlValueNotFoundException is thrown when a static method in XmlHandler
   * is looking for a specific element or value, and fails to find it.
   * Depending of the XML schema/DTD, this may be an error or it may
   * indicate a default value should be used.
   * <p>
   * This class is a late addition to the package. It extends XmlHandlerException
   * to help backward compatibility; existing classes are already set up to catch
   * XmlHandlerException so require no modification.
   *
   * @see      pixie.xml.XmlHandlerException
   * @author   Andy Joel
   * @version  1.0 April 2004
   */


public class XmlValueNotFoundException extends XmlHandlerException {


    /**
     * Constructs an <code>XmlValueNotFoundException</code> with the specified detail
     * message. The error message string <code>msg</code> can later be
     * retrieved by the <code>{@link java.lang.Throwable#getMessage}</code>
     * method of class <code>java.lang.Throwable</code>.
     *
     * @param   msg   the detail message.
     */
    public XmlValueNotFoundException(String msg) {
        super(msg, XmlHandlerException.NOT_FOUND);
    }

}
